# markdown-to-leanpub-highlight

Converts code highlights between markdown and leanpub formats.

## Installation

In order to run this script, you need to have [Node.js](https://nodejs.org/en/download/) installed on your computer.
You can check whether it's installed by running `node -v`.

Either use:

```bash
npm install -g markdown-to-leanpub-highlight
```

or 

```bash
npx markdown-to-leanpub-highlight [encode|decode] <input> <output>
```

without installting it on your machine.

## Usage

```bash
markdown-to-leanpub-highlight [encode|decode] <input> <output>
    encode - convert markdown to leanpub format
    decode - convert leanpub to markdown format
    input  - input file or directory
    output - output file or directory (will be overwritten)
```
